HttpRequest::addCookies
HttpRequest::addPostFields
HttpRequest
PHP Manual

# HttpRequest::addHeaders

Add headers

### Description

public bool HttpRequest::addHeaders ( array `$headers` )

Add request header name/value pairs.

### Parameters

`headers`

  an associative array as parameter containing additional header name/value pairs

### Return Values

Returns `TRUE` on success or `FALSE` on failure.